Latest 1.1.4
Homepage https://github.com/JARMourato/EasyAbout
License MIT
Platforms ios , requires ARC
Authors

Requirements: cocoapods version 1.0.0 or above.

Why you should use

Well, it is always nice to give credit to the ones who helped you :smiley:
Bonus: it helps keeping track of the app version that is installed

Example

EasyAbout EasyAbout EasyAbout

Install

Add to each wanted podfile target :


pod 'EasyAbout'

Add a new run script to each target:

"${PODS_ROOT}/EasyAbout/settings-script.sh"

EasyAbout

License

EasyAbout is available under the MIT license. See the LICENSE file for more info.

Latest podspec

{
    "name": "EasyAbout",
    "version": "1.1.4",
    "summary": "A way to easily add Cocoapod licenses and App Version to your iOS App using the Settings Bundle",
    "homepage": "https://github.com/JARMourato/EasyAbout",
    "license": {
        "type": "MIT",
        "file": "LICENSE"
    },
    "authors": {
        "Jou00e3o Mourato": "[email protected]"
    },
    "platforms": {
        "ios": null
    },
    "source": {
        "git": "https://github.com/JARMourato/EasyAbout.git",
        "tag": "1.1.4"
    },
    "preserve_paths": [
        "README.md",
        "settings-script.sh"
    ],
    "source_files": "Placeholder.h",
    "requires_arc": true,
    "ios": {
        "resource_bundles": {
            "Settings": [
                "*.lproj",
                "Root.plist",
                "Version.plist"
            ]
        }
    },
    "prepare_command": "chmod u+x $(pwd)/settings-script.sh"
}

Pin It on Pinterest

Share This